<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use Illuminate\Http\Request;

class ContactsController extends Controller
{
    public function index()
    {
        $rows = Contact::orderByDesc('id')->get();
        return view('admin.contacts.index', compact('rows'));
    }

    public function show($id)
    {
        $row = Contact::find($id);
        return view('admin.contacts.show', compact('row'));
    }
}
