<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateContactsTable extends Migration {

	public function up()
	{
		Schema::create('contacts', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('user_id')->unsigned()->nullable();
			$table->string('name', 191)->nullable();
			$table->string('email', 191)->nullable();
			$table->string('mobile', 191)->nullable();
			$table->text('message')->nullable();
		});
	}

	public function down()
	{
		Schema::drop('contacts');
	}
}