@extends('admin.layout.master')
@section('title', "الحلاقين")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الحلاقين</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title">الحلاقين</h4>
{{--                <p class="sub-header">--}}
{{--                    <a href="{{route('admin.create')}}">--}}
{{--                        <button class="btn btn-success">--}}
{{--                            إنشاء جديد--}}
{{--                        </button>--}}
{{--                    </a>--}}
{{--                </p>--}}

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الإسم بالكامل</th>
                        <th>البريد الألكتروني</th>
                        <th>رقم الجوال</th>
                        <th>عدد الطلبات</th>
                        <th>الحالة</th>
                        <th>التقارير</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->name . ' ' . $row->last_name}}</td>
                            <td>{{$row->email}}</td>
                            <td>{{$row->mobile}}</td>
                            <td>{{\App\Models\Order::where('barber_id',$row->id)->count()}}</td>
                            <td>{{
                            ($row->status == 'active') ? "مفعل" : "غير مفعل"
                            }}</td>
                            <td>
                                <a href="{{route('barber.show',$row->id)}}">
                                    <button type="button" class="btn btn-success waves-effect waves-light">التقارير
                                    </button>

                                </a>

                            </td>
                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>
                                <button type="button" class="btn btn-info waves-effect waves-light"
                                        data-toggle="modal" data-target="#edit_model{{$row->id}}">تعديل الحالة
                                </button>

                                <!-- /.modal -->
{{--                                <a href="{{route('admin.edit',$row->id)}}">--}}
{{--                                    <button type="button"--}}
{{--                                            class="btn btn-info waves-effect waves-light">تعديل--}}
{{--                                    </button>--}}
{{--                                </a>--}}
                            </td>



                            <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('barber.destroy',$row->id)}}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div>



                            <div id="edit_model{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">تعديل الحالة</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">تعديل حالة الحلاق</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('barber.update',$row->id)}}">
                                                @csrf
                                                @method('PATCH')
                                                <label for="exampleSelect1">الحالة</label>
                                                <select name="status" class="form-control" id="exampleSelect1">
                                                    <option value="active"
                                                            @if($row->status == 'active') selected @endif>مفعل</option>
                                                    <option value="not_active"
                                                            @if($row->status == 'not_active') selected @endif>غير مفعل</option>
                                                </select>
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-success waves-effect waves-light">تعديل
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div>
                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
