@extends('admin.layout.master')
@section('title', "تفاصيل الطلب")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تفاصيل الطلب</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">تفاصيل الطلب</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('companies.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: larger;font-family: cairo">
                        <th>الكود</th>
                        <th>اسم العميل</th>
                        <th>اسم الحلاق</th>
                        <th>طريقه الدفع</th>
                        <th>عدد الخدمات </th>
                        <th>الحساب الكلي</th>
                        <th> المبلغ المدفوع</th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->order_code}}</td>
                        <td>{{$row->user->name .' '.$row->user->last_name}}</td>
                        <td>{{$row->barber ? $row->barber->name .' '.$row->barber->last_name : 'لم يتم تحدد حلاق'}}</td>
                        <td>{{($row->payment_type == 'visa') ? 'فيزا' : 'كاش'}}</td>
                        <td>{{$row->services->count()}}</td>
                        <td>{{$row->total_price}}</td>
                        <td>{{$row->amount_paid}}</td>


                    </tr>

                    </tbody>
                </table>
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>تاريخ الطلب</th>
                        <th>العنوان المسجل في الطلب</th>
                        <th>حالة الكوبون</th>
                        <th>حالة الطلب</th>


                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</td>
                        <td>{{$row->address->address}}</td>
                        <td>{{$row->discount_code  ? $row->discount_code : 'لا يوجد كوبون'}}</td>

                        <td>

                            @if($row->status == 'search')
                                في مرحلة البحث

                            @elseif($row->status == 'barber_accept')
                                الموافقه من الحلاق
                            @elseif($row->status == 'barber_in_way')
                                الحلاق في الطريق
                            @elseif($row->status == 'ongoing')
                                في مرحلة التنفيذ
                            @elseif($row->status == 'finish')
                                تم الانتهاء
                            @elseif($row->status == 'canceled')
                                تم الإلغاء
                            @endif


                        </td>
                    </tr>

                    </tbody>
                </table>
            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">الخدمات</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('companies.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}


                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>اسم الخدمة</th>
                        <th>العدد</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($order_services as $cart)
                        <tr>
                            <?php

                            $service = \App\Models\Service::find($cart->service_id);
                            ?>
                            <td>{{$service->name['ar']}}</td>
                            <td>{{$cart->count}}</td>

                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
