<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateRateTable extends Migration {

	public function up()
	{
		Schema::create('rate', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->enum('type', array('client_barber', 'barber_client', 'admin'))->nullable();
			$table->integer('user_id')->unsigned()->nullable();
			$table->integer('rated_id')->unsigned()->nullable();
		});
	}

	public function down()
	{
		Schema::drop('rate');
	}
}