<?php $__env->startSection('title', "تفاصيل الطلب"); ?>
<?php $__env->startSection('content'); ?>



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تفاصيل الطلب</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                

                <h4 class="header-title">تفاصيل الطلب</h4>
                
                
                
                
                
                
                

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: larger;font-family: cairo">
                        <th>الكود</th>
                        <th>اسم العميل</th>
                        <th>اسم الحلاق</th>
                        <th>طريقه الدفع</th>
                        <th>عدد الخدمات </th>
                        <th>الحساب الكلي</th>
                        <th> المبلغ المدفوع</th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td><?php echo e($row->order_code); ?></td>
                        <td><?php echo e($row->user->name .' '.$row->user->last_name); ?></td>
                        <td><?php echo e($row->barber ? $row->barber->name .' '.$row->barber->last_name : 'لم يتم تحدد حلاق'); ?></td>
                        <td><?php echo e(($row->payment_type == 'visa') ? 'فيزا' : 'كاش'); ?></td>
                        <td><?php echo e($row->services->count()); ?></td>
                        <td><?php echo e($row->total_price); ?></td>
                        <td><?php echo e($row->amount_paid); ?></td>


                    </tr>

                    </tbody>
                </table>
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>تاريخ الطلب</th>
                        <th>العنوان المسجل في الطلب</th>
                        <th>حالة الكوبون</th>
                        <th>حالة الطلب</th>


                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td><?php echo e(\Carbon\Carbon::parse($row->created_at)->toDateString()); ?></td>
                        <td><?php echo e($row->address->address); ?></td>
                        <td><?php echo e($row->discount_code  ? $row->discount_code : 'لا يوجد كوبون'); ?></td>

                        <td>

                            <?php if($row->status == 'search'): ?>
                                في مرحلة البحث

                            <?php elseif($row->status == 'barber_accept'): ?>
                                الموافقه من الحلاق
                            <?php elseif($row->status == 'barber_in_way'): ?>
                                الحلاق في الطريق
                            <?php elseif($row->status == 'ongoing'): ?>
                                في مرحلة التنفيذ
                            <?php elseif($row->status == 'finish'): ?>
                                تم الانتهاء
                            <?php elseif($row->status == 'canceled'): ?>
                                تم الإلغاء
                            <?php endif; ?>


                        </td>
                    </tr>

                    </tbody>
                </table>
            </div>
            <div class="card-box">
                

                <h4 class="header-title">الخدمات</h4>
                
                
                
                
                
                
                


                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>اسم الخدمة</th>
                        <th>العدد</th>


                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $order_services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cart): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <?php

                            $service = \App\Models\Service::find($cart->service_id);
                            ?>
                            <td><?php echo e($service->name['ar']); ?></td>
                            <td><?php echo e($cart->count); ?></td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/site/project/resources/views/admin/orders/show.blade.php ENDPATH**/ ?>