<?php $__env->startSection('title', 'الخدمات'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الخدمات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('services.update',$row->id)); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PATCH'); ?>


                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة العربية</label>
                                <input type="text" class="form-control" value="<?php echo e($row->name['ar']); ?>" required name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة العربية">
                                <?php if($errors->has('name_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_ar')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="<?php echo e($row->name['en']); ?>" required
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة الإنجليزية">
                                <?php if($errors->has('name_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_en')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">السعر بالريال</label>
                                <input type="number" class="form-control" value="<?php echo e($row->price); ?>" required name="price"
                                       id="exampleInputEmail1"
                                       placeholder="السعر بالريال">
                                <?php if($errors->has('price')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('price')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">المده الزمنية</label>
                                <input type="number" class="form-control" required value="<?php echo e($row->duration); ?>"
                                       name="duration"
                                       id="exampleInputEmail1"
                                       placeholder="المده الزمنية">
                                <?php if($errors->has('duration')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('duration')); ?></small>
                                <?php endif; ?>
                            </div>



                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">الصورة</h4>
                                        <input type="file" name="image" class="dropify"
                                               data-default-file="<?php echo e(asset('images/services/'.$row->image)); ?>"       data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                <?php if($errors->has('image')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('image')); ?></small>
                                <?php endif; ?>
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/site/project/resources/views/admin/services/edit.blade.php ENDPATH**/ ?>